> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xente.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a product

> This endpoint gets product by id

### Response

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, error code if not.
</ResponseField>

<ResponseField name="data" type="object">
  The contents of the product

  <Expandable title="Toggle object">
    <ResponseField name="product_id" type="number">
      The unique id of the product
    </ResponseField>

    <ResponseField name="name" type="string">
      The name of the product
    </ResponseField>

    <ResponseField name="name" type="string">
      The image Url of the product
    </ResponseField>

    <ResponseField name="short_description" type="string">
      Short description of the product
    </ResponseField>

    <ResponseField name="long_description" type="string">
      Long description of the product
    </ResponseField>

    <ResponseField name="status" type="string">
      Status of the product
    </ResponseField>

    <ResponseField name="product_items" type="array">
      Product items of the product. Each item is an object with the following properties:

      * `item_id` (number): The unique ID of the item
      * `item_name` (string): The name of the item
      * `item_description` (string): Description of the item
      * `item_price` (number): Price of the item
      * `availability` (boolean): Availability status of the item
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Request theme={null}
  curl --location --request GET 'https://api.xente.co/products/{id}' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \

  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
      "message": "Product retrieved successfully",
      "code": 0,
      "data": {
          "productId": "AIRTELDATABUNDLESUG",
          "name": "Airtel",
          "imageUri": "https://d1yjjnpx0p53s8.cloudfront.net/styles/logo-original-577x577/s3/112010/airtel-new_0.png?itok=xT0SIx0d",
          "categoryId": "DATA",
          "shortDescription": "Buy or sell data from Airtel Uganda",
          "longDescription": "Buy or sell data from Airtel Uganda",
          "countryCode": "256",
          "currencyCode": "UGX",
          "isActive": true,
          "isExternal": true,
          "sortOrder": 0,
          "productRegex": "^((256|0)?((((200|(7(0|4|5)))(\\d{6}(\\d)?)))))$"
      }
  }
  ```
</ResponseExample>
